### Step 1. 新建 Web 网站

请通过Vue、React或、Angular或者其他框架创建一个工程

### Step 2.引入开发库

#### 2.1.引入@mapgis/webclient-mapboxgl-plugin开发库

在该项目的package.json中引入@mapgis/webclient-mapboxgl-plugin开发库


#### 2.2.引入@mapgis/mapboxgl开发库

在该项目的package.json中引入@mapgis/mapboxgl开发库



### Step 3. 加载显示地图

#### 3.1.引入相关依赖

这里以Vue为例，新建一个组件页面，并引入依赖的库：

@mapgis/webclient-mapboxgl-plugin和@mapgis/webclient-common

注意@mapgis/webclient-common库被@mapgis/webclient-mapboxgl-plugin所依赖，因此会自动加入到你的依赖库中，可直接在此处引用
<center>
  <img src="./static/modules/mapboxgl/source/img/mapboxgl-example-1.png" style="zoom:100%;" />
</center>


#### 3.2.创建视图容器

创建一个 ID 为“mapgis-viewer”的 div 标签，并设置其样式，用来作为地图视图的容器
<center>
  <img src="./static/modules/mapboxgl/source/img/mapboxgl-example-2.png" style="zoom:100%;" />
</center>

#### 3.3.初始化二维地图视图

在Vue的加载完毕事件中初始化地图管理对象和地图视图对象
<center>
  <img src="./static/modules/mapboxgl/source/img/mapboxgl-example-3.png" style="zoom:100%;" />
</center>

#### 3.4.加载一个影像图层

通过初始化一个影像图层，并将该图层添加到图层管理容器中，来达到加载影像图层的目的
<center>
  <img src="./static/modules/mapboxgl/source/img/mapboxgl-example-4.png" style="zoom:100%;" />
</center>

此时可以看到已经在场景视图中加载了一个影像图层
<center>
  <img src="./static/modules/mapboxgl/source/img/mapboxgl-example-5.png" style="zoom:100%;" />
</center>

#### 3.5.完整示例

```plain
<template>
  <div id="mapgis-viewer"></div>
</template>
<script>
import { MapViewMapboxgl } from "@mapgis/webclient-mapboxgl-plugin"
import { Map, IGSMapImageLayer } from "@mapgis/webclient-common"
export default {
  name: "NewMap",
  mounted() {
    // 初始化图层管理容器
    const map = new Map();
    // 初始化地图视图对象
    const view = new MapViewMapboxgl({
      // 视图id
      viewId: "mapgis-viewer",
      // 图层管理容器
      map: map,
    });
    const layer = new IGSMapImageLayer({
      // 服务基地址
      url: 'http://webclient.smaryun.com:8089/igs/rest/services/Map/湖北省4326/MapServer'
    })
    // 将图层添加到图层管理容器中
    map.add(layer)
  }
}
</script>
<style scoped>
  #mapgis-viewer{
    width: 1000px;
    height: 800px;
  }
</style>

```

